Bug 238531 - autofs displays incorrect device entry for trigger mount entries
Summary: autofs displays incorrect device entry for trigger mount entries
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-01 06:17 UTC by Ian Kent
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0621
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 17:30:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0621 normal SHIPPED_LIVE autofs bug fix update 2007-10-30 16:17:01 UTC

Description Ian Kent 2007-05-01 06:17:30 UTC
Description of problem:

When using the internal "-hosts" autofs map against
a host with several exports the device listed in the
autofs trigger mount entries is incorrectly listed as
(null) when it should be the value "-hosts".

How reproducible:
Always.

Steps to Reproduce:
1) Ensure an entry that uses the built in "-hosts" map is
present in the master map.
2) Cause autofs to mount the export triggers by accessing
the host.
3) cat /proc/mounts to view the incorrect field of the
autofs trigger mounts.

Actual results:
(null) is displayed as the device for the mount entry.

Expected results:
-hosts displayed as the mount entry device.

Comment 1 RHEL Product and Program Management 2007-05-01 06:23:33 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Ian Kent 2007-05-31 03:44:13 UTC
A patch to fix this issue has been applied and is available
in revision 0.rc2.44.

Comment 7 errata-xmlrpc 2007-11-07 17:30:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0621.html



Note You need to log in before you can comment on or make changes to this bug.